#!/usr/bin/env bash
set -eo pipefail

LOGFILE="/tmp/bootstrap_tfw.log"
trap 'echo "Something went wrong. Read the log az $LOGFILE"' ERR

echo -n "Cloning TFW repositories... "
echo -n "baseimage... " && git clone git@github.com:avatao-content/baseimage-tutorial-framework.git >> $LOGFILE 2>&1
echo -n "frontend... " && git clone git@github.com:avatao-content/frontend-tutorial-framework.git >> $LOGFILE 2>&1
echo -n "test... " && git clone git@github.com:avatao-content/test-tutorial-framework.git >> $LOGFILE 2>&1
echo "Done!"
echo

echo -n "Building baseimage and installing frontend dependencies... "
cd baseimage-tutorial-framework
docker build -t baseimage-tutorial-framework . >> $LOGFILE 2>&1 &

cd ../frontend-tutorial-framework
yarn install >> $LOGFILE 2>&1

wait
echo "Done!"
rm $LOGFILE
